app.run(function($rootScope) {
    $rootScope.$on("$locationChangeStart", function(event, next, current) {
    	console.log(event); 
    	console.log(current); 
        // handle route changes     
    });
});